Examplary
  • Start for free
    Developer docs

    Regenerate question

    POSThttps://api.examplary.ai/exams/{id}/questions/{questionId}/generate

    Update a question using an AI prompt.

    Path parameters

    idstringrequired

    Exam ID, e.g. `exam_1234`.

    questionIdstringrequired

    Question ID (e.g. `q_1234`) or the question's `externalId`. Use `first` or `last` to get the first or last question.

    Request body

    messagestring· min length: 1· max length: 5000required

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    429 — Rate limit exceeded

    Requirements

    Rate limit

    10 requests per minute per user.

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the exams:write scope to be present.